import PropTypes from 'prop-types';
import PageHeader from "../../layout/components/PageHeader";
import { useEffect, useState } from "react";
import moment from "moment";
import ScheduleService from "../../services/schedule.service";
import PageHeaderActions from "../../utils/pageheaderactions.util.js";
import { ProgressSpinner } from 'primereact/progressspinner';


import UIConstants from "../../utils/ui.constants";
export default function DailyConstraintView(props) {
  const {
    location,
    match,

  } = props
  const parseTheDate = (match) => {
    if (match) {
      let incommingdate = match.params.date;
      let truedate = moment(incommingdate).toDate();
      return truedate
    }
    return moment().startOf('day').toDate();
  };
  const [startTime, setStartTime] = useState(parseTheDate(match))
  const [constraintImage, setConstraintImage] = useState()

  const fetchImage = async () => {
    setConstraintImage(null);
    let constraintImage = await ScheduleService.getConstraintImgOnDate(moment(startTime).format(UIConstants.CALENDAR_DEFAULTDATE_FORMAT));
    if (constraintImage !== undefined) setConstraintImage(constraintImage);

  }

  useEffect(() => {
    console.log("startTime", startTime);
    fetchImage();
  }, [startTime]);





  function navigateToDay(addingDays) {
    let newStartTime = new Date(startTime);
    newStartTime.setDate(startTime.getDate() + addingDays);
    setStartTime(newStartTime);
  }




  return <>
    <PageHeader location={location} title={'Daily Constraint View '} actions={PageHeaderActions.getOneDayNavigationActions(navigateToDay, setStartTime, startTime)} className="defaultpageHeader" />
    <div>
      {constraintImage === null ? (
        <ProgressSpinner />
      ) : (

        <img src={constraintImage} alt="Constraint" />


      )}
    </div>
  </>
}

DailyConstraintView.propTypes = {
  onDate: PropTypes.string,

}