import { DataTable } from 'primereact/datatable';
import { Column } from 'primereact/column';
import PropTypes from 'prop-types';

/**
 * Component to show overview of cycle.
 */
export default function CycleOverview(props) {
    let { data } = props;


    return (
        <DataTable value={data} resizableColumns columnResizeMode="expand" className="card" style={{ paddingLeft: '0em', textAlign: 'center' }}>
            <Column field="cycle" header="Cycle Code"></Column>
            <Column field="observingTime" header="Total used Observing time (hrs)"></Column>
            <Column field="noOfTriggers" header="Total used Triggers"></Column>
            <Column field="processingTime" header="Total used Processing time (hrs)"></Column>
            <Column field="ltaStorage" header="Total used LTA storage space (TB)"></Column>
            <Column field="prioSuccessTime" header="Amount of prio A/B hours successfully observed"></Column>
            <Column field="failedTime" header="Amount of failed hours"></Column>
            <Column field="completionLevel" header="Level of cycle completion (%)"></Column>
        </DataTable>
    )
}



CycleOverview.propTypes = {
    data: PropTypes.array,
};