import { useState } from 'react';
import { TabView, TabPanel } from 'primereact/tabview';
import PropTypes from 'prop-types';
import PageHeader from '../../layout/components/PageHeader';

import CycleReportMain from "./cycle/report.main";
import ProjectReportMain from "./project.report.main";
export default function ReportHome(props) {
    const {
        location,
        history
    } = props

    const [reportIndex, setReportIndex] = useState(0);

    const Close = () => {
        history.goBack();
    }


    return (
        <div className='routerpage'>
            <PageHeader location={location} title={'Reports'} actions={[{
                icon: 'pi pi-times', title: 'Click to Close Report',
                type: 'buttonv2', actOn: 'click', props: { callback: Close }
            }]} />
            <TabView activeIndex={reportIndex} onTabChange={(e) => setReportIndex(e.index)}>
                <TabPanel header="Cycle">
                    <CycleReportMain></CycleReportMain>
                </TabPanel>
                <TabPanel header="Project">
                    <ProjectReportMain ></ProjectReportMain>
                </TabPanel>
            </TabView>
        </div>
    );

}

ReportHome.propTypes = {
    location: PropTypes.object,
    history: PropTypes.object
};