import { Button } from "primereact/button";
import { InputNumber } from "primereact/inputnumber";
import PropTypes from 'prop-types';

const  JumpToSUId = (props) => {
    const {
        suId,
        setSUId,
        setSearchForSUIdTrigger
    } = props

    return <div data-testid="nav-jump-to-suid" className="JumpToSuid">
        <label>Jump to SU id</label>
        <div>
            <InputNumber data-testid="jump-to-input"
                className="jump-to-input"
                value={suId}
                format={false}
                onValueChange={(e) => setSUId(e.value)}
            />
            <Button className="p-button-icon-only calendar-button"
                title="Set the week to the scheduling unit's on sky or process start time."
                data-testid="nav-jump-to-button"
                onClick={() =>      setSearchForSUIdTrigger(prevState => !prevState)  }>
                <i className="fas fa-search"></i>
            </Button>
        </div>
    </div>
}
JumpToSUId.propTypes = {
    suId: PropTypes.number,
    setSUId:PropTypes.func,
    setSearchForSUIdTrigger:PropTypes.func
};

export default JumpToSUId