import JumpToSUId from "./JumpToSuid";
import { fireEvent, render, act, waitFor } from "@testing-library/react";
import { clickItem, removeReact18ConsoleErrors } from "../../../../utils/test.helper";


removeReact18ConsoleErrors()

describe('JumpToSUId', () => {

    it('Triggers function for an jump to input change', async () => {
        const mockSetSUId = jest.fn();
        const mockSetSearchForSUIdTrigger = jest.fn();
        let pageContent;
        act(() =>
            pageContent = render(
                <JumpToSUId
                    suid="1"
                    setSUId={mockSetSUId}
                    setSearchForSUIdTrigger={mockSetSearchForSUIdTrigger}
                />
            ));
        await waitFor(() => expect(pageContent.queryByTestId('jump-to-input')).toBeInTheDocument());
        const suIdInput = pageContent.getByTestId('jump-to-input');
        const jumpToButton = pageContent.getByTestId('nav-jump-to-button');

        const suId = 456
        clickItem(suIdInput)
        expect(mockSetSUId).toHaveBeenCalled();

        act(() => fireEvent.change(suIdInput, { target: { value: suId } }));
        clickItem(jumpToButton)

        
         expect(mockSetSearchForSUIdTrigger).toHaveBeenCalled();
    })
});

