import UserOverView from "./UserOverView"
import renderer, { act } from 'react-test-renderer';
import axios from "axios";
import MockAdapter from 'axios-mock-adapter';

const fakeauthanswer = { data:{
    "count": 1,
    "next": "null",
    "previous": null,
    "results": [
      {
        "name": "nothing"
      }
    ]
  }}


function MakePrimaryMock() {
    let mock = new MockAdapter(axios);

    
    mock.onGet("/api/scheduling_set/?fields=name&limit=1").reply(200, fakeauthanswer,{"access-control-allow-methods":"GET, POST, PUT, PATCH, DELETE, copy"});
     mock.onGet("/api/scheduling_unit_draft/?fields=name&limit=1").reply(200, fakeauthanswer,{"access-control-allow-methods":"GET, POST, PUT, PATCH, DELETE, copy, create_cleanuptask_for_scheduling_unit_draft, create_observing_strategy_template, create_scheduling_unit_blueprint_and_tasks_and_subtasks_tree, scheduling_constraints_plot, specifications_doc, update_task_graph_from_specifications_doc"});
     mock.onGet("/api/project/?fields=name&limit=1").reply(200, fakeauthanswer,{"access-control-allow-methods":"GET, POST, PUT, PATCH, DELETE, friend, my_roles, report"});
     mock.onGet("/api/scheduling_set/?fields=name&limit=1").reply(200, fakeauthanswer,{"access-control-allow-methods":"GET, POST, PUT, PATCH, DELETE, copy"});
     mock.onGet("/api/scheduling_unit_observing_strategy_template/?fields=name&limit=1").reply(200, fakeauthanswer,{"access-control-allow-methods":"GET, POST, PUT, PATCH, DELETE, create_scheduling_unit, template_doc_complete_with_defaults, template_doc_with_just_the_parameters, trigger_doc"});
     mock.onGet("/api/scheduling_unit_blueprint/?fields=name&limit=1").reply(200, fakeauthanswer,{"access-control-allow-methods":"GET, POST, PUT, PATCH, DELETE, cancel, copy_specifications_doc_back_into_draft, copy_specifications_doc_including_copies_for_failed_tasks_back_into_draft, copy_to_draft, create_cleanuptask_for_scheduling_unit_blueprint, create_copies_of_failed_tasks_via_draft, get_all_subtasks_log_urls, mark_as_obsolete, mark_dynamically_scheduled, mark_fixed_time_scheduled_at_scheduled_starttime, reset_schedule, schedule, scheduling_constraints_plot, specifications_doc, specifications_doc_including_copies_for_failed_tasks, specifications_doc_with_just_the_parameters, subtasks, system_events, unschedule"});
     mock.onGet("/api/cycle/?fields=name&limit=1").reply(200, fakeauthanswer,{"access-control-allow-methods":"GET, POST, PUT, PATCH, DELETE, report "});
     mock.onGet("/api/task_draft/?fields=name&limit=1").reply(200, fakeauthanswer,{"access-control-allow-methods":"GET, POST, PUT, PATCH, DELETE, copy, create_task_blueprint, create_task_blueprint_and_subtasks, predecessors, successors"});
     mock.onGet("/api/task_blueprint/?fields=name&limit=1").reply(200, fakeauthanswer,{"access-control-allow-methods":"GET, cancel, copy_to_new_draft, create_subtasks, mark_as_obsolete, predecessors, restart_when_on_hold, schedule_independent_subtasks, successors, system_events"});
     mock.onGet("/api/reservation/?fields=name&limit=1").reply(200, fakeauthanswer,{"access-control-allow-methods":"GET, POST, PUT, PATCH, DELETE"});
     mock.onGet("/api/task_relation_draft/?fields=name&limit=1").reply(200, fakeauthanswer,{"access-control-allow-methods":"GET, POST, PUT, PATCH, DELETE"});
     mock.onGet("/api/task_relation_blueprint/?fields=name&limit=1").reply(200, fakeauthanswer,{"access-control-allow-methods":"GET, POST, PUT, PATCH, DELETE"});
     mock.onGet("/api/system_event/?fields=name&limit=1").reply(200, fakeauthanswer,{"access-control-allow-methods":"GET, POST, PUT, PATCH, DELETE"});
     mock.onGet("/api/setting/fixed_time_scheduling_enabled/?fields=name&limit=1").reply(200, fakeauthanswer,{"access-control-allow-methods":"GET"});
     mock.onGet("/api/setting/dynamic_scheduling_enabled/?fields=name&limit=1").reply(200, fakeauthanswer,{"access-control-allow-methods":"GET"});
     mock.onGet("/api/project/?fields=name&limit=1").reply(200, fakeauthanswer,{"access-control-allow-methods":"GET, POST, PUT, PATCH, DELETE, friend, my_roles, report"});
     
     


     

     
     
}
describe('UserOverView Render Contents', () => {
    it("UserOverView renders without errors without data", () => {
        const page = renderer
            .create(<UserOverView> </UserOverView>)
            .toJSON();
        expect(page).toMatchSnapshot();
    });

    it('UserOverView renders correctly with data', async () => {
        MakePrimaryMock();

        let page;
        await act(async () => {
            page = renderer
                .create(<UserOverView> </UserOverView>);
        });

        // Now `page` should be defined
        expect(page.toJSON()).toMatchSnapshot();
    });
});
